WordPress.org

Support

Support » Plugins and Hacks » CSS error in Sociable plugin

CSS error in Sociable plugin

  • Adam Brown
    Member

    @adamrbrown

    You should not use the :hover pseudo class on anything other than <a> in your CSS; doing so causes cross-browser problems.

    In the sociable CSS file, this:

    .sociable-hovers {
    	opacity: .4;
    	-moz-opacity: .4;
    	filter: alpha(opacity=40);
    }
    .sociable-hovers:hover {
    	opacity: 1;
    	-moz-opacity: 1;
    	filter: alpha(opacity=100);
    }

    should be this:

    .sociable a img {
    	opacity: .4;
    	-moz-opacity: .4;
    	filter: alpha(opacity=40);
    }
    .sociable a:hover img{
    	opacity: 1;
    	-moz-opacity: 1;
    	filter: alpha(opacity=100);
    }

    Otherwise, it doesn’t work in IE6 (among others).

    (Incidentally, the “tagline” popup has the same problem, but I wish you would just get rid of the tagline, or make it an option in the admin, since it conflicts with my theme.)

    Thanks for a great plugin.

    http://wordpress.org/extend/plugins/sociable/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘CSS error in Sociable plugin’ is closed to new replies.